package com.ruoyi.system.domain.vo;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import com.ruoyi.system.domain.*;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

public class ProductVO extends BaseEntity {
        private static final long serialVersionUID = 1L;

        /** 主键id */
        @Excel(name = "主键id", cellType = Excel.ColumnType.NUMERIC)
        private Long id;

        /** 产品id */
        @Excel(name = "产品id")
        private String productId;

        /** 产品类型id */
        @Excel(name = "产品类型id", cellType = Excel.ColumnType.NUMERIC)
        private Long productTypeId;

        /** 产品图片 */
        @Excel(name = "产品图片")
        private String picture;

        /** 产品文档 */
        @Excel(name = "产品文档")
        private String document;

        /** 产品描述 */
        @Excel(name = "产品描述")
        private String describe;

        /** 产品状态（0启动，1禁用） */
        @Excel(name = "产品状态", readConverterExp = "0=启动,1=禁用")
        private Integer type;
        //直流舱系统表
        private ProductDirectcurrent productDirectcurrent;
        //充电交流舱表
        private ProductCharging productCharging;
        //放电交流舱系统表
        private ProductDischarge productDischarge;
        //半挂车表
        private ProductProductsemitrailer productProductsemitrailer;
        //牵引头
        private ProductTractionhead productTractionhead;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getProductId() {
        return productId;
    }

    public void setProductId(String productId) {
        this.productId = productId;
    }

    public Long getProductTypeId() {
        return productTypeId;
    }

    public void setProductTypeId(Long productTypeId) {
        this.productTypeId = productTypeId;
    }

    public String getPicture() {
        return picture;
    }

    public void setPicture(String picture) {
        this.picture = picture;
    }

    public String getDocument() {
        return document;
    }

    public void setDocument(String document) {
        this.document = document;
    }

    public String getDescribe() {
        return describe;
    }

    public void setDescribe(String describe) {
        this.describe = describe;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public ProductDirectcurrent getProductDirectcurrent() {
        return productDirectcurrent;
    }

    public void setProductDirectcurrent(ProductDirectcurrent productDirectcurrent) {
        this.productDirectcurrent = productDirectcurrent;
    }

    public ProductCharging getProductCharging() {
        return productCharging;
    }

    public void setProductCharging(ProductCharging productCharging) {
        this.productCharging = productCharging;
    }

    public ProductDischarge getProductDischarge() {
        return productDischarge;
    }

    public void setProductDischarge(ProductDischarge productDischarge) {
        this.productDischarge = productDischarge;
    }

    public ProductProductsemitrailer getProductProductsemitrailer() {
        return productProductsemitrailer;
    }

    public void setProductProductsemitrailer(ProductProductsemitrailer productProductsemitrailer) {
        this.productProductsemitrailer = productProductsemitrailer;
    }

    public ProductTractionhead getProductTractionhead() {
        return productTractionhead;
    }

    public void setProductTractionhead(ProductTractionhead productTractionhead) {
        this.productTractionhead = productTractionhead;
    }

    @Override
    public String toString() {
        return "ProductVO{" +
                "id=" + id +
                ", productId='" + productId + '\'' +
                ", productTypeId=" + productTypeId +
                ", picture='" + picture + '\'' +
                ", document='" + document + '\'' +
                ", describe='" + describe + '\'' +
                ", type=" + type +
                ", productDirectcurrent=" + productDirectcurrent +
                ", productCharging=" + productCharging +
                ", productDischarge=" + productDischarge +
                ", productProductsemitrailer=" + productProductsemitrailer +
                ", productTractionhead=" + productTractionhead +
                '}';
    }
}
